CUmemAllocationProp(3)

NAME
CUmemAllocationProp -

SYNOPSIS

  Data Fields

CUmemLocation location
CUmemAllocationHandleType requestedHandleTypes
CUmemAllocationType type
void * win32HandleMetaData
unsigned char compressionType

Detailed Description

Specifies the allocation properties for a allocation.

Field Documentation

  unsigned char CUmemAllocationProp::compressionType

Additional allocation hint for requesting compressible memory. Compressed memory allows higher bandwidth, but may cause compression resource thrashing, and compressed memory may not be mappeable on all devices.

  CUmemLocation CUmemAllocationProp::location

Location of allocation

  CUmemAllocationHandleType CUmemAllocationProp::requestedHandleTypes

requested CUmemAllocationHandleType

  CUmemAllocationType CUmemAllocationProp::type

Allocation type

  void* CUmemAllocationProp::win32HandleMetaData

Windows-specific LPSECURITYATTRIBUTES required when CU_MEM_HANDLE_TYPE_WIN32 is specified. This security attribute defines the scope of which exported allocations may be tranferred to other processes. In all other cases, this field is required to be zero.

Author

Generated automatically by Doxygen from the source code.